Subject: Re: bug#52053: 29.0.50; Nonsensical button "C-x C-f" in scratch buffer

From: Gregory Heytings <[email-masked]>
Date: Sat, 27 Nov 2021 16:06:45 +0000

>> Updated patch attached.
>
> Thanks.  This approach is fine by me, but the variable you introduced 
> should not be internal, and it probably should be called out in NEWS (in 
> the Lisp section), because I believe the intent was to allow other 
> callers to use it, even though currently we have only one such caller.
>

Thanks for your feedback.  Updated (and much larger) patch attached.